%define upstream_name    Dist-Zilla-Plugin-Test-TidyAll
%define upstream_version 0.04

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 3

Summary:    Adds a tidyall test to your distro
License:    GPLv1+ or Artistic
Group:      Development/Perl
Url:        http://metacpan.org/release/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/Dist/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(B)
BuildRequires: perl(Dist::Zilla::File::InMemory)
BuildRequires: perl(Dist::Zilla::Role::FileGatherer)
BuildRequires: perl(Dist::Zilla::Role::PrereqSource)
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(File::Spec)
BuildRequires: perl(Moose)
BuildRequires: perl(Test::More)
BuildRequires: perl(namespace::autoclean)
BuildRequires: perl(strict)
BuildRequires: perl(warnings)
BuildArch: noarch

%description
This is a the Dist::Zilla manpage plugin that create a tidyall test in your
distro using the Test::Code::TidyAll manpage's 'tidyall_ok' sub.

the Code::TidyAll manpage '0.24' and the Test::More manpage '0.88' will be
added as 'develop requires' dependencies.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor

%make

%check
%make test

%install
%make_install

%files
%doc META.yml LICENSE META.json Changes INSTALL
%{_mandir}/man3/*
%perl_vendorlib/*




%changelog
* Wed Feb 12 2020 umeabot <umeabot> 0.40.0-3.mga8
+ Revision: 1504220
- Mageia 8 Mass Rebuild

* Thu Sep 20 2018 umeabot <umeabot> 0.40.0-2.mga7
+ Revision: 1283354
- Mageia 7 Mass Rebuild

* Sat Nov 04 2017 shlomif <shlomif> 0.40.0-1.mga7
+ Revision: 1175867
- imported package perl-Dist-Zilla-Plugin-Test-TidyAll


* Sat Nov 04 2017 cpan2dist 0.04-1mga
- initial mageia release, generated with cpan2dist
